Bug 254584 - x11/xkeyboard-config: update to 2.32 and optionalize xkbcomp
Summary: x11/xkeyboard-config: update to 2.32 and optionalize xkbcomp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gleb Popov
URL: https://github.com/freedesktop/xkeybo...
Keywords: patch
Depends on:
Blocks: 255787 255788 255789 255790
  Show dependency treegraph
 
Reported: 2021-03-26 17:35 UTC by Evgeniy Khramtsov
Modified: 2021-05-30 16:21 UTC (History)
2 users (show)

See Also:
evgeniy: maintainer-feedback-


Attachments
patch (1.75 KB, patch)
2021-03-26 17:35 UTC, Evgeniy Khramtsov
no flags Details | Diff
v2 (1.74 KB, patch)
2021-04-09 11:02 UTC, Evgeniy Khramtsov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evgeniy Khramtsov 2021-03-26 17:35:28 UTC
Created attachment 223615 [details]
patch

Update to 2.32 and optionalize x11/xkbcomp to avoid building libX11 and related packages.

sway 0.16-RC & wlroots-0.13-RC runtime under FreeBSD 14.0: OK
poudriere bulk && poudriere testport: OK
Comment 1 Evgeniy Khramtsov 2021-04-09 11:02:05 UTC
Created attachment 223945 [details]
v2

Update after ports move to Git and order DESC alphabetically.
Comment 2 Evgeniy Khramtsov 2021-04-23 21:09:28 UTC
Maintainer timeout.
Comment 3 Evgeniy Khramtsov 2021-05-09 15:40:06 UTC
Ping. I can't improve without feedback.

X11=off is also fine and does not break keyboard layout switching for pure Wayland systems.
Comment 4 Evgeniy Khramtsov 2021-05-29 17:29:02 UTC
ping
Comment 5 commit-hook freebsd_committer 2021-05-30 16:20:28 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3561b8967a35cdeadd8fb46e1824b90c1891a451

commit 3561b8967a35cdeadd8fb46e1824b90c1891a451
Author:     Evgeniy Khramtsov <evgeniy@khramtsov.org>
AuthorDate: 2021-05-30 10:45:37 +0000
Commit:     Gleb Popov <arrowd@FreeBSD.org>
CommitDate: 2021-05-30 16:18:25 +0000

    x11/xkeyboard-config: Update to 2.32

    Make X11 optional.

    PR:             254584
    Tested by:      arrowd
    Approved by:    x11 (maintainer-timeout)

 x11/xkeyboard-config/Makefile | 10 ++++++----
 x11/xkeyboard-config/distinfo |  6 +++---
 2 files changed, 9 insertions(+), 7 deletions(-)
Comment 6 Gleb Popov freebsd_committer 2021-05-30 16:21:02 UTC
Pushed, thanks.